res_pjsip_endpoint_identifier_ip.c: Remove unnecessary requirement.
authorRichard Mudgett <rmudgett@digium.com>
Wed, 3 Jan 2018 21:20:27 +0000 (15:20 -0600)
committerRichard Mudgett <rmudgett@digium.com>
Tue, 9 Jan 2018 18:34:41 +0000 (12:34 -0600)
commit42a61d9db65e4e5a23f5cdda6ac7bee302ff3ea7
treea4c250dcc73ce5b6488a52bb3dbed52413a5da8a
parent2f8ae566512897c97b3369bab3f07ff836f5ad1c
res_pjsip_endpoint_identifier_ip.c: Remove unnecessary requirement.

The requirement that "ip" must be in the endpoint identify_by list to
allow the type=identify method to identify the endpoint is not necessary.
The "ip" identifier method can match one and only one endpoint.  To even
work, the "ip" identifier method configuration must explicitly specify the
identified endpoint.  Therefore, why bother configuring the type=identify
identifier in the first place?  The requirement only adds the potential
for configuration errors for no benefit.  Even worse, those configuration
errors cannot be detected when the configuration loads.  The requirement
was introduced with the ASTERISK_27206 patch.

* Remove the code change that enforces the requiremnt.  Listing the "ip"
method in the identify_by value is simply documentation.

Change-Id: Ia057f92a33fb5d9f51dc5d5692e3d5ee1a6f2c11
res/res_pjsip_endpoint_identifier_ip.c